r77 - in trunk: . patches
Martin Michlmayr
tbm at costa.debian.org
Mon Sep 12 16:42:57 UTC 2005
Author: tbm
Date: 2005-09-12 16:42:32 +0000 (Mon, 12 Sep 2005)
New Revision: 77
Added:
trunk/patches/07_fix_share.dpatch
Modified:
trunk/changelog
trunk/patches/00list
Log:
Don't prepend DESTDIR when replacing paths in the binaries.
Modified: trunk/changelog
===================================================================
--- trunk/changelog 2005-08-25 18:47:54 UTC (rev 76)
+++ trunk/changelog 2005-09-12 16:42:32 UTC (rev 77)
@@ -1,3 +1,12 @@
+bins (1.1.29-2) UNRELEASED; urgency=high
+
+ [ Martin Michlmayr ]
+ * debian/patches/07_fix_share.dpatch: Don't prepend DESTDIR when
+ replacing paths in the binaries.
+ * debian/patches/00list: Add.
+
+ -- Martin Michlmayr <tbm at cyrius.com> Mon, 12 Sep 2005 17:39:37 +0100
+
bins (1.1.29-1) unstable; urgency=low
[ Martin Michlmayr ]
Modified: trunk/patches/00list
===================================================================
--- trunk/patches/00list 2005-08-25 18:47:54 UTC (rev 76)
+++ trunk/patches/00list 2005-09-12 16:42:32 UTC (rev 77)
@@ -1,3 +1,4 @@
04_bins-edit-gui
05_share-man
06_doc_bins.sgml
+07_fix_share
Added: trunk/patches/07_fix_share.dpatch
===================================================================
--- trunk/patches/07_fix_share.dpatch 2005-08-25 18:47:54 UTC (rev 76)
+++ trunk/patches/07_fix_share.dpatch 2005-09-12 16:42:32 UTC (rev 77)
@@ -0,0 +1,46 @@
+#!/bin/sh -e
+## 07_fix_share.dpatch by Martin Michlmayr <tbm at cyrius.com>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: use correct dir for share, Bug#327797
+
+if [ $# -lt 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+ -patch) patch $patch_opts -p0 < $0;;
+ -unpatch) patch $patch_opts -p0 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+
+--- install.sh~ 2005-09-12 17:34:57.000000000 +0100
++++ install.sh 2005-09-12 17:35:27.000000000 +0100
+@@ -24,8 +24,9 @@
+ GLOBAL_RC="$RC"
+
+ DESTDIR=`echo "$DESTDIR"|sed 's%/$%%'`
+-PREFIX=$DESTDIR/`echo "$PREFIX"|sed 's%^/%%'`
+ PREFIX=`echo "$PREFIX"|sed 's%/$%%'`
++GLOBAL_SHARE="$PREFIX/share"
++PREFIX=$DESTDIR/`echo "$PREFIX"|sed 's%^/%%'`
+ ETC=$DESTDIR/`echo "$ETC"|sed 's%^/%%'`
+ ETC=`echo "$ETC"|sed 's%/$%%'`
+ RC=$DESTDIR/`echo "$RC"|sed 's%^/%%'`
+@@ -227,7 +228,7 @@
+ do
+ echo -n " $FILE"
+ ed "$FILE" <<EoF 2>/dev/null
+-1,\$s%/usr/local/share%$SHARE%g
++1,\$s%/usr/local/share%$GLOBAL_SHARE%g
+ 1,\$s%/etc/bins%$GLOBAL_RC%g
+ wq
+ EoF
Property changes on: trunk/patches/07_fix_share.dpatch
___________________________________________________________________
Name: svn:executable
+ *
More information about the pkg-bins-commits
mailing list